﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public class ChartSample : ContentPage
    {
        public ChartSample()
        {
            SfChart chart = new SfChart();

            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis();

            chart.BindingContext = new ViewModel();

            chart.SetBinding(SfChart.SeriesProperty, "DataCollection", BindingMode.OneWay);

            Content = chart;
        }
    }

    public class ViewModel : BindableObject
    {
        public ObservableCollection<Model> LineData { get; set; }

        public ObservableCollection<Model> ColumnData { get; set; }

        public ChartSeriesCollection DataCollection { get; set; }

        public ViewModel()
        {
            DataCollection = new ChartSeriesCollection();
            LineData = new ObservableCollection<Model>();
            ColumnData = new ObservableCollection<Model>();
            Getdata();
            
            DataCollection.Add(new ColumnSeries() { ItemsSource = ColumnData, XBindingPath="Name", YBindingPath="Value" });
            DataCollection.Add(new LineSeries() { ItemsSource = LineData, XBindingPath = "Name", YBindingPath = "Value" });
        }

        private void Getdata()
        {
            LineData = new ObservableCollection<Model>
            {
                new Model("Jan", 38),
                new Model("Feb", 59),
                new Model("Mar", 28),
                new Model("Apr", 36),
                new Model("May", 54),
           };

            ColumnData = new ObservableCollection<Model>
            {
                new Model("Jan", 61),
                new Model("Feb", 39),
                new Model("Mar", 61),
                new Model("Apr", 39),
                new Model("May", 61),
            };
        }
    }

    public class Model
    {
        public string Name { get; set; }

        public double Value { get; set; }

        public Model(string name, double value)
        {
            Name = name;
            Value = value;
        }
    }
}